netpbm security update

2008-02-28T11:55:37
ID CESA-2008:0131
Type centos
Reporter CentOS Project
Modified 2008-02-29T12:56:02

Description

CentOS Errata and Security Advisory CESA-2008:0131

The netpbm package contains a library of functions for editing and converting between various graphics file formats, including .pbm (portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps), .ppm (portable pixmaps) and others. The package includes no interactive tools and is primarily used by other programs (eg CGI scripts that manage web-site images).

An input validation flaw was discovered in the GIF-to-PNM converter (giftopnm) shipped with the netpbm package. An attacker could create a carefully crafted GIF file which could cause giftopnm to crash or possibly execute arbitrary code as the user running giftopnm. (CVE-2008-0554)

All users are advised to upgrade to these updated packages which contain a backported patch which resolves this issue.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2008-February/014718.html http://lists.centos.org/pipermail/centos-announce/2008-February/014719.html http://lists.centos.org/pipermail/centos-announce/2008-February/014722.html http://lists.centos.org/pipermail/centos-announce/2008-February/014723.html http://lists.centos.org/pipermail/centos-announce/2008-February/014727.html http://lists.centos.org/pipermail/centos-announce/2008-February/014728.html http://lists.centos.org/pipermail/centos-announce/2008-February/014734.html http://lists.centos.org/pipermail/centos-announce/2008-February/014735.html

Affected packages: netpbm netpbm-devel netpbm-progs

Upstream details at: https://rhn.redhat.com/errata/RHSA-2008-0131.html